define(["require", "exports", "../../Styling"], function (require, exports, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.getStyles = function (props) {
        var className = props.className, maxWidth = props.maxWidth, theme = props.theme;
        var palette = theme.palette, fonts = theme.fonts;
        return {
            root: [
                'ms-Tooltip',
                theme.fonts.medium,
                Styling_1.AnimationClassNames.fadeIn200,
                {
                    background: palette.white,
                    padding: '8px',
                    maxWidth: maxWidth
                },
                className
            ],
            content: [
                'ms-Tooltip-content',
                fonts.small,
                {
                    color: palette.neutralPrimary,
                    wordWrap: 'break-word',
                    overflowWrap: 'break-word',
                    overflow: 'hidden'
                }
            ],
            subText: [
                'ms-Tooltip-subtext',
                {
                    // Using inherit here to avoid unintentional global overrides of the <p> tag.
                    fontSize: 'inherit',
                    fontWeight: 'inherit',
                    color: 'inherit',
                    margin: 0
                }
            ]
        };
    };
});
//# sourceMappingURL=Tooltip.styles.js.map